
package de.ivu.elect.presentation.wahlvorschlagsperson.action;

import de.ivu.elect.business.wahlvorschlagsperson.entity.WahlvorschlagsPersonTyp;
import de.ivu.elect.presentation.wahlvorschlagsperson.BeauftragterCreateView;

public class BeauftragterWahlvorschlagsPersonPoolSearchResultEntryAuswaehlenAction
    extends
      AbstractWahlvorschlagsPersonPoolSearchResultEntryAuswaehlenAction {

  private static final long serialVersionUID = 1L;

  public BeauftragterWahlvorschlagsPersonPoolSearchResultEntryAuswaehlenAction() {
    super();
  }

  @Override
  protected boolean isWahlvorschlagsPersonTypApplicable(WahlvorschlagsPersonTyp wahlvorschlagsPersonTyp) {
    return WahlvorschlagsPersonTyp.BEAUFTRAGTER.equals(wahlvorschlagsPersonTyp)
        || WahlvorschlagsPersonTyp.STELLVERTRETENDER_BEAUFTRAGTER.equals(wahlvorschlagsPersonTyp);
  }

  @Override
  protected String getTargetViewId() {
    return BeauftragterCreateView.VIEW_ID;
  }
}
